package com.videonext.mplayer.api.events;

import com.videonext.mplayer.api.ControllerEvent;

public class CapturerEvent extends ControllerEvent {

	private static final long serialVersionUID = 1L;

	private boolean error;
	
	private String errorMessage;
	
	private short samples[];
	
	public CapturerEvent(Object source, boolean error, String errorMessage, short[] samples) {
		super(source);
	
		this.error = error;
		this.errorMessage = errorMessage;
		
		this.samples  = samples;		
	}

	public short[] getSamples() {
		return samples;
	}

	public boolean isError() {
		return error;
	}

	public String getErrorMessage() {
		return errorMessage;
	}

}

